path: /build/build/pybind11-dev-python-2.11.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pybind11 -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pybind11
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pybind11 && luet-portage --dir /pkgdir/pybind11
    dev-python/pybind11 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ec81c01baf8e5414c676b299b037412f747a71d3333999b7aece8bc104a7bdb2
  package:
    name: pybind11
    version: 2.11.1
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: pystring
      version: '>=0'
      category: dev-cpp
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Seamless operability between C++11 and Python
    uri:
    - https://github.com/pybind/pybind11 https://pypi.org/project/pybind11/
    license: BSD
    buildtimestamp: 2023-12-08 22:06:31.563561652 +0000 UTC m=+84.001960253
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7
      RDEPEND: dev-cpp/eigen:3 python_targets_python3_10? ( dev-lang/python:3.10 )
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
      emerge.packages: dev-python/pybind11
      kit: python-modules-kit
      original.package.name: dev-python/pybind11
      original.package.slot: "0"
      original.package.version: 2.11.1
    treedir: /build/packages
  package_dir: /pkgdir/pybind11
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fba8099eb495eb342ddf3ae4cf7a60eeae5df545c36e6d45761b5f646914fd62
compressiontype: zstd
files:
- usr/bin/pybind11-config
- usr/include/pybind11/attr.h
- usr/include/pybind11/buffer_info.h
- usr/include/pybind11/cast.h
- usr/include/pybind11/chrono.h
- usr/include/pybind11/common.h
- usr/include/pybind11/complex.h
- usr/include/pybind11/detail/class.h
- usr/include/pybind11/detail/common.h
- usr/include/pybind11/detail/descr.h
- usr/include/pybind11/detail/init.h
- usr/include/pybind11/detail/internals.h
- usr/include/pybind11/detail/type_caster_base.h
- usr/include/pybind11/detail/typeid.h
- usr/include/pybind11/eigen/common.h
- usr/include/pybind11/eigen/matrix.h
- usr/include/pybind11/eigen/tensor.h
- usr/include/pybind11/eigen.h
- usr/include/pybind11/embed.h
- usr/include/pybind11/eval.h
- usr/include/pybind11/functional.h
- usr/include/pybind11/gil.h
- usr/include/pybind11/iostream.h
- usr/include/pybind11/numpy.h
- usr/include/pybind11/operators.h
- usr/include/pybind11/options.h
- usr/include/pybind11/pybind11.h
- usr/include/pybind11/pytypes.h
- usr/include/pybind11/stl/filesystem.h
- usr/include/pybind11/stl.h
- usr/include/pybind11/stl_bind.h
- usr/include/pybind11/type_caster_pyobject_ptr.h
- usr/lib/python-exec/python3.9/pybind11-config
- usr/lib/python3.9/site-packages/pybind11/__init__.py
- usr/lib/python3.9/site-packages/pybind11/__main__.py
- usr/lib/python3.9/site-packages/pybind11/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/__main__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/__main__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/__main__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/_version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/_version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/_version.cpython-39.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/commands.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/commands.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/commands.cpython-39.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/setup_helpers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/setup_helpers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pybind11/__pycache__/setup_helpers.cpython-39.pyc
- usr/lib/python3.9/site-packages/pybind11/_version.py
- usr/lib/python3.9/site-packages/pybind11/commands.py
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/attr.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/buffer_info.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/cast.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/chrono.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/common.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/complex.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/class.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/common.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/descr.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/init.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/internals.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/type_caster_base.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/detail/typeid.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/eigen/common.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/eigen/matrix.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/eigen/tensor.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/eigen.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/embed.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/eval.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/functional.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/gil.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/iostream.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/numpy.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/operators.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/options.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/pybind11.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/pytypes.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/stl/filesystem.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/stl.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/stl_bind.h
- usr/lib/python3.9/site-packages/pybind11/include/pybind11/type_caster_pyobject_ptr.h
- usr/lib/python3.9/site-packages/pybind11/py.typed
- usr/lib/python3.9/site-packages/pybind11/setup_helpers.py
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/FindPythonLibsNew.cmake
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/pybind11Common.cmake
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/pybind11Config.cmake
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/pybind11ConfigVersion.cmake
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/pybind11NewTools.cmake
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/pybind11Targets.cmake
- usr/lib/python3.9/site-packages/pybind11/share/cmake/pybind11/pybind11Tools.cmake
- usr/lib/python3.9/site-packages/pybind11/share/pkgconfig/pybind11.pc
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/entry_points.txt
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/pybind11-2.11.1-py3.9.egg-info/top_level.txt
- usr/share/cmake/pybind11/FindPythonLibsNew.cmake
- usr/share/cmake/pybind11/pybind11Common.cmake
- usr/share/cmake/pybind11/pybind11Config.cmake
- usr/share/cmake/pybind11/pybind11ConfigVersion.cmake
- usr/share/cmake/pybind11/pybind11NewTools.cmake
- usr/share/cmake/pybind11/pybind11Targets.cmake
- usr/share/cmake/pybind11/pybind11Tools.cmake
- usr/share/doc/pybind11-2.11.1/README.rst.bz2
- var/db/pkg/dev-python/pybind11-2.11.1/BDEPEND
- var/db/pkg/dev-python/pybind11-2.11.1/BUILD_TIME
- var/db/pkg/dev-python/pybind11-2.11.1/CATEGORY
- var/db/pkg/dev-python/pybind11-2.11.1/CBUILD
- var/db/pkg/dev-python/pybind11-2.11.1/CFLAGS
- var/db/pkg/dev-python/pybind11-2.11.1/CHOST
- var/db/pkg/dev-python/pybind11-2.11.1/CONTENTS
- var/db/pkg/dev-python/pybind11-2.11.1/COUNTER
- var/db/pkg/dev-python/pybind11-2.11.1/CXXFLAGS
- var/db/pkg/dev-python/pybind11-2.11.1/DEFINED_PHASES
- var/db/pkg/dev-python/pybind11-2.11.1/DESCRIPTION
- var/db/pkg/dev-python/pybind11-2.11.1/EAPI
- var/db/pkg/dev-python/pybind11-2.11.1/FEATURES
- var/db/pkg/dev-python/pybind11-2.11.1/HOMEPAGE
- var/db/pkg/dev-python/pybind11-2.11.1/INHERITED
- var/db/pkg/dev-python/pybind11-2.11.1/IUSE
- var/db/pkg/dev-python/pybind11-2.11.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pybind11-2.11.1/KEYWORDS
- var/db/pkg/dev-python/pybind11-2.11.1/LDFLAGS
- var/db/pkg/dev-python/pybind11-2.11.1/LICENSE
- var/db/pkg/dev-python/pybind11-2.11.1/PF
- var/db/pkg/dev-python/pybind11-2.11.1/RDEPEND
- var/db/pkg/dev-python/pybind11-2.11.1/RESTRICT
- var/db/pkg/dev-python/pybind11-2.11.1/SIZE
- var/db/pkg/dev-python/pybind11-2.11.1/SLOT
- var/db/pkg/dev-python/pybind11-2.11.1/USE
- var/db/pkg/dev-python/pybind11-2.11.1/environment.bz2
- var/db/pkg/dev-python/pybind11-2.11.1/pybind11-2.11.1.ebuild
- var/db/pkg/dev-python/pybind11-2.11.1/repository
package_cacheimage: ""
runtime:
  name: pybind11
  version: 2.11.1
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: eigen
    version: '>=0'
    category: dev-cpp-3
  - name: setuptools
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Seamless operability between C++11 and Python
  uri:
  - https://github.com/pybind/pybind11 https://pypi.org/project/pybind11/
  license: BSD
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7
    RDEPEND: dev-cpp/eigen:3 python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-)]
    emerge.packages: dev-python/pybind11
    kit: python-modules-kit
    original.package.name: dev-python/pybind11
    original.package.slot: "0"
    original.package.version: 2.11.1
